با سلام خدمت دوستان
آقا من می خواستم برای یاد گیری بیشتر در مورد آسیب پذیری های پی اچ پی و.... ورژن های پایین تر این برنامه ها را (مثلا PHPbb یا PHPNuke ) را به صورت لوکال نصب کنم و کد های مخرب را روشون تست کنم (برای این سراغ ورژن های پایین تر هستم که باگ هایی که در دسترس هستش بیشتر باشه ) می خواستم از خدمت دوستان سوال کنم که اولا از کجا می تونم ورژن های پایین تر این برنامه ها را پیدا کنم(در ضمن به نظر دوستان کدام نسخه از این برنامه ها دارای باگ بیشتری بوده ؟؟؟) و ثانیا آیا می شود این queryکه به صورت Remote بر روی وب سایتها اجرا می کنیم را به صورت Local استفاده کرد ؟؟؟
ممنون